Package org.apache.felix.hc.core.impl.executor

## Class HealthCheckExecutorImpl

- java.lang.Object
- - org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImpl

All Implemented Interfaces:
  `EventListener`, `org.apache.felix.hc.api.execution.HealthCheckExecutor`, `ExtendedHealthCheckExecutor`, `org.osgi.framework.ServiceListener`

    public class HealthCheckExecutorImpl
    extends Object
    implements ExtendedHealthCheckExecutor, org.osgi.framework.ServiceListener

Runs health checks for a given list of tags in parallel.

### Constructor Summary

Constructors
`HealthCheckExecutorImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration, org.osgi.framework.BundleContext bundleContext)`
`protected void` `configure​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration)`
`protected void` `deactivate()`
`List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult>` `execute​(org.apache.felix.hc.api.execution.HealthCheckSelector selector)`
`List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult>` `execute​(org.apache.felix.hc.api.execution.HealthCheckSelector selector, org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)`
`org.apache.felix.hc.api.execution.HealthCheckExecutionResult` `execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck> ref)` execute single health check using cache, used by JMX
`List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult>` `execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] healthCheckReferences, org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)` internal interface to execute checks for service references
`protected void` `modified​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration)`
`org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[]` `selectHealthCheckReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector, org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)` internal interface to retrieve service references
`void` `serviceChanged​(org.osgi.framework.ServiceEvent event)`
`void` `setLongRunningFutureThresholdForRedMs​(long longRunningFutureThresholdForRedMs)`
`void` `setTimeoutInMs​(long timeoutInMs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HealthCheckExecutorImpl

    public HealthCheckExecutorImpl()

### Method Detail

#### activate

    protected final void activate​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration,
                                  org.osgi.framework.BundleContext bundleContext)

#### modified

    protected final void modified​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration)

#### deactivate

    protected final void deactivate()

#### configure

    protected final void configure​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorImplConfiguration configuration)

#### serviceChanged

    public void serviceChanged​(org.osgi.framework.ServiceEvent event)

Specified by:
  `serviceChanged` in interface `org.osgi.framework.ServiceListener`

#### execute

    public List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> execute​(org.apache.felix.hc.api.execution.HealthCheckSelector selector)

Specified by:
  `execute` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutor`

#### execute

    public List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> execute​(org.apache.felix.hc.api.execution.HealthCheckSelector selector,
                                                                                      org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)

Specified by:
  `execute` in interface `org.apache.felix.hc.api.execution.HealthCheckExecutor`

#### selectHealthCheckReferences

    public org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] selectHealthCheckReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector,
                                                                                                                  org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)

Description copied from interface: `ExtendedHealthCheckExecutor`
internal interface to retrieve service references

Specified by:
  `selectHealthCheckReferences` in interface `ExtendedHealthCheckExecutor`
See Also:
  `ExtendedHealthCheckExecutor.selectHealthCheckReferences(HealthCheckSelector, HealthCheckExecutionOptions)`

#### execute

    public org.apache.felix.hc.api.execution.HealthCheckExecutionResult execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck> ref)

Description copied from interface: `ExtendedHealthCheckExecutor`
execute single health check using cache, used by JMX

Specified by:
  `execute` in interface `ExtendedHealthCheckExecutor`
See Also:
  `ExtendedHealthCheckExecutor.execute(org.osgi.framework.ServiceReference)`

#### execute

    public List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] healthCheckReferences,
                                                                                      org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)

Description copied from interface: `ExtendedHealthCheckExecutor`
internal interface to execute checks for service references

Specified by:
  `execute` in interface `ExtendedHealthCheckExecutor`
See Also:
  `ExtendedHealthCheckExecutor.execute(ServiceReference[], HealthCheckExecutionOptions)`

#### setTimeoutInMs

    public void setTimeoutInMs​(long timeoutInMs)

#### setLongRunningFutureThresholdForRedMs

    public void setLongRunningFutureThresholdForRedMs​(long longRunningFutureThresholdForRedMs)